import { h, Host } from "@stencil/core";
export class HeaderImage {
    render() {
        return (h(Host, { key: 'fdb160580d33e8002ca00ea1eaab61a1a333589d' }, h("div", { key: 'f0de84b8fb8faf07c3f2d01f4588732146902b2a', class: "header-container" }, h("div", { key: 'b72e2a414448a3a852a54d36850e1546f1eb9272', class: "image-container" }, h("img", { key: '7888dbe1524eb30d1a5a75b470cfcc9fc57ae2d8', src: this.image, alt: "Header background" })), h("div", { key: '77fc2fe7345daec5b90891f73cd718a7e62ad671', class: "text-overlay brand" }, h("p", { key: '4b33e48c5905349aafe0cea2ad35b6fb494e413f', class: "md-typescale-title-large" }, this.subheader), h("h1", { key: '9c9ec9ee8d2d5d74d620b916ff22ff1622efe622', class: "md-typescale-headline-large" }, this.headline)))));
    }
    static get is() { return "header-image"; }
    static get originalStyleUrls() {
        return {
            "$": ["header-image.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["header-image.css"]
        };
    }
    static get properties() {
        return {
            "image": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "image",
                "reflect": false
            },
            "headline": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "headline",
                "reflect": false
            },
            "subheader": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "subheader",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=header-image.js.map
