import { h, Host } from "@stencil/core";
export class StackLayout {
    constructor() {
        this.overlap = 32; // Default overlap in pixels
    }
    render() {
        return (h(Host, { key: 'b9523ce72ff72bb36aa1ac3bb3b95b11373368b2' }, h("div", { key: '34ebfd9ab0f06def112162728fbc4b934a065dc6', class: `stack-container`, style: { '--overlap': `${this.overlap}px` } }, h("slot", { key: 'e72cca8284dc83217a59be20c78193568d294a35' }))));
    }
    static get is() { return "stack-layout"; }
    static get originalStyleUrls() {
        return {
            "$": ["stack-layout.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["stack-layout.css"]
        };
    }
    static get properties() {
        return {
            "overlap": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "overlap",
                "reflect": false,
                "defaultValue": "32"
            }
        };
    }
}
//# sourceMappingURL=stack-layout.js.map
