import { html } from "lit";
import "./stack-section";
export default {
    title: 'Event Section',
    component: 'event-section',
    render: args => html `<stack-section headline=${args.headline} subtitle=${args.subtitle} variant=${args.variant}>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quisquam, quos.</p>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quisquam, quos.</p>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quisquam, quos.</p>
    </stack-section>`,
};
export const Default = {
    args: {
        headline: 'Headline',
        subtitle: 'Subtitle',
    },
};
export const Primary = {
    args: {
        headline: 'Primary Headline',
        subtitle: 'Subtitle',
        variant: 'primary',
    },
};
export const Secondary = {
    args: {
        headline: 'Secondary Headline',
        subtitle: 'Subtitle',
        variant: 'secondary',
    },
};
export const Tertiary = {
    args: {
        headline: 'Tertiary Headline',
        subtitle: 'Subtitle',
        variant: 'tertiary',
    },
};
//# sourceMappingURL=stack-section.stories.js.map
