import { p as proxyCustomElement, H, h, c as Host } from './p-910c47ce.js';

const stackSectionBlockImageCss = ":host{display:block}.container{border-top-left-radius:var(--md-sys-shape-corner-extra-small);border-top-right-radius:var(--md-sys-shape-corner-extra-small);overflow:hidden;max-height:200px}.container>img{max-height:200px;width:100%;object-fit:cover}";
const StackSectionBlockImageStyle0 = stackSectionBlockImageCss;

const StackSectionBlockImage$1 = /*@__PURE__*/ proxyCustomElement(class StackSectionBlockImage extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: '828e06952d6c9a3660ee95cc822ba69da14b2f13' }, h("div", { key: '3a1350c0fbb2b12577ae01e4e8595a90fa102fae', class: "container" }, h("img", { key: '16a680b4cbdb290a44ec37d6f76d6ee14579486f', src: this.url, alt: "Stack Section Block Image" }))));
    }
    static get style() { return StackSectionBlockImageStyle0; }
}, [0, "stack-section-block-image", {
        "url": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["stack-section-block-image"];
    components.forEach(tagName => { switch (tagName) {
        case "stack-section-block-image":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StackSectionBlockImage$1);
            }
            break;
    } });
}
defineCustomElement$1();

const StackSectionBlockImage = StackSectionBlockImage$1;
const defineCustomElement = defineCustomElement$1;

export { StackSectionBlockImage, defineCustomElement };

//# sourceMappingURL=stack-section-block-image.js.map