import { p as promiseResolve, b as bootstrapLazy } from './index-9110f8cb.js';
export { s as setNonce } from './index-9110f8cb.js';
import { g as globalScripts } from './app-globals-0f993ce5.js';

/*
 Stencil Client Patch Browser v4.24.0 | MIT Licensed | https://stenciljs.com
 */
var patchBrowser = () => {
  const importMeta = import.meta.url;
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await globalScripts();
  return bootstrapLazy([["header-image",[[0,"header-image",{"image":[1],"headline":[1],"subheader":[1]}]]],["stack-layout",[[4,"stack-layout",{"overlap":[2]}]]],["stack-section",[[4,"stack-section",{"headline":[1],"subtitle":[1],"variant":[1]}]]],["stack-section-block-image",[[0,"stack-section-block-image",{"url":[1]}]]]], options);
});

//# sourceMappingURL=canvas.js.map