import { r as registerInstance, h, H as Host } from './index-9110f8cb.js';

const stackSectionBlockImageCss = ":host{display:block}.container{border-top-left-radius:var(--md-sys-shape-corner-extra-small);border-top-right-radius:var(--md-sys-shape-corner-extra-small);overflow:hidden;max-height:200px}.container>img{max-height:200px;width:100%;object-fit:cover}";
const StackSectionBlockImageStyle0 = stackSectionBlockImageCss;

const StackSectionBlockImage = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, { key: '828e06952d6c9a3660ee95cc822ba69da14b2f13' }, h("div", { key: '3a1350c0fbb2b12577ae01e4e8595a90fa102fae', class: "container" }, h("img", { key: '16a680b4cbdb290a44ec37d6f76d6ee14579486f', src: this.url, alt: "Stack Section Block Image" }))));
    }
};
StackSectionBlockImage.style = StackSectionBlockImageStyle0;

export { StackSectionBlockImage as stack_section_block_image };

//# sourceMappingURL=stack-section-block-image.entry.js.map