'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-b0e47e48.js');
const appGlobals = require('./app-globals-3a1e7e63.js');

/*
 Stencil Client Patch Browser v4.24.0 | MIT Licensed | https://stenciljs.com
 */
var patchBrowser = () => {
  const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('canvas.cjs.js', document.baseURI).href));
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return index.promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await appGlobals.globalScripts();
  return index.bootstrapLazy([["header-image.cjs",[[0,"header-image",{"image":[1],"headline":[1],"subheader":[1]}]]],["stack-layout.cjs",[[4,"stack-layout",{"overlap":[2]}]]],["stack-section.cjs",[[4,"stack-section",{"headline":[1],"subtitle":[1],"variant":[1]}]]],["stack-section-block-image.cjs",[[0,"stack-section-block-image",{"url":[1]}]]]], options);
});

exports.setNonce = index.setNonce;

//# sourceMappingURL=canvas.cjs.js.map