'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-b0e47e48.js');

const stackLayoutCss = "stack-layout{display:block;position:relative}.stack-container{position:relative;display:flex;flex-direction:column}.stack-container>*{position:relative;margin-top:calc(var(--overlap) * -1)}.stack-container>*:first-child{margin-top:0}.stack-container>stack-section:not(:last-child)>*:first-child{padding-bottom:var(--md-sys-spacing-large)}";
const StackLayoutStyle0 = stackLayoutCss;

const StackLayout = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.overlap = 32; // Default overlap in pixels
    }
    render() {
        return (index.h(index.Host, { key: 'b9523ce72ff72bb36aa1ac3bb3b95b11373368b2' }, index.h("div", { key: '34ebfd9ab0f06def112162728fbc4b934a065dc6', class: `stack-container`, style: { '--overlap': `${this.overlap}px` } }, index.h("slot", { key: 'e72cca8284dc83217a59be20c78193568d294a35' }))));
    }
};
StackLayout.style = StackLayoutStyle0;

exports.stack_layout = StackLayout;

//# sourceMappingURL=stack-layout.cjs.entry.js.map