import { h, Host } from "@stencil/core";
export class StackSection {
    render() {
        // Default is surface-container
        const container = this.variant ? `${this.variant}-container` : 'surface-container';
        return (h(Host, { key: 'e76cdf49ee781963c9de75c77c1f5055fdea70bc' }, h("div", { key: 'b18bfe60d3585dddb36d19559698cf2936bf89f8', class: `card ${container}` }, h("md-elevation", { key: 'e21a6af98b1a1199edd19dab170e85e9f97c3f96' }), h("h2", { key: '501a180c22f355fabecab3da8fbafd75243a6d52', class: "md-typescale-headline-small" }, this.headline), h("p", { key: 'ce84fd60a195bea0b3eb8b92b053d0fd2af00928', class: "md-typescale-title-medium" }, this.subtitle), h("slot", { key: 'f737a2c82163ffe3799a7118524233e31b31aad9' }))));
    }
    static get is() { return "stack-section"; }
    static get originalStyleUrls() {
        return {
            "$": ["stack-section.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["stack-section.css"]
        };
    }
    static get properties() {
        return {
            "headline": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "headline",
                "reflect": false
            },
            "subtitle": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "subtitle",
                "reflect": false
            },
            "variant": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "'primary' | 'secondary' | 'tertiary' | 'surface' | 'surface-variant'",
                    "resolved": "\"primary\" | \"secondary\" | \"surface\" | \"surface-variant\" | \"tertiary\"",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "variant",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=stack-section.js.map
