import { p as proxyCustomElement, H, h, c as Host } from './p-910c47ce.js';

const stackLayoutCss = "stack-layout{display:block;position:relative}.stack-container{position:relative;display:flex;flex-direction:column}.stack-container>*{position:relative;margin-top:calc(var(--overlap) * -1)}.stack-container>*:first-child{margin-top:0}.stack-container>stack-section:not(:last-child)>*:first-child{padding-bottom:var(--md-sys-spacing-large)}";
const StackLayoutStyle0 = stackLayoutCss;

const StackLayout$1 = /*@__PURE__*/ proxyCustomElement(class StackLayout extends H {
    constructor() {
        super();
        this.__registerHost();
        this.overlap = 32; // Default overlap in pixels
    }
    render() {
        return (h(Host, { key: 'b9523ce72ff72bb36aa1ac3bb3b95b11373368b2' }, h("div", { key: '34ebfd9ab0f06def112162728fbc4b934a065dc6', class: `stack-container`, style: { '--overlap': `${this.overlap}px` } }, h("slot", { key: 'e72cca8284dc83217a59be20c78193568d294a35' }))));
    }
    static get style() { return StackLayoutStyle0; }
}, [4, "stack-layout", {
        "overlap": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["stack-layout"];
    components.forEach(tagName => { switch (tagName) {
        case "stack-layout":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StackLayout$1);
            }
            break;
    } });
}
defineCustomElement$1();

const StackLayout = StackLayout$1;
const defineCustomElement = defineCustomElement$1;

export { StackLayout, defineCustomElement };

//# sourceMappingURL=stack-layout.js.map