import { p as proxyCustomElement, H, h, c as Host } from './p-910c47ce.js';

const stackSectionCss = ":host{display:block}.card{border-top-left-radius:var(--md-sys-shape-corner-medium);border-top-right-radius:var(--md-sys-shape-corner-medium);overflow:hidden;text-align:center;--md-elevation-level:1}";
const StackSectionStyle0 = stackSectionCss;

const StackSection$1 = /*@__PURE__*/ proxyCustomElement(class StackSection extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        // Default is surface-container
        const container = this.variant ? `${this.variant}-container` : 'surface-container';
        return (h(Host, { key: 'e76cdf49ee781963c9de75c77c1f5055fdea70bc' }, h("div", { key: 'b18bfe60d3585dddb36d19559698cf2936bf89f8', class: `card ${container}` }, h("md-elevation", { key: 'e21a6af98b1a1199edd19dab170e85e9f97c3f96' }), h("h2", { key: '501a180c22f355fabecab3da8fbafd75243a6d52', class: "md-typescale-headline-small" }, this.headline), h("p", { key: 'ce84fd60a195bea0b3eb8b92b053d0fd2af00928', class: "md-typescale-title-medium" }, this.subtitle), h("slot", { key: 'f737a2c82163ffe3799a7118524233e31b31aad9' }))));
    }
    static get style() { return StackSectionStyle0; }
}, [4, "stack-section", {
        "headline": [1],
        "subtitle": [1],
        "variant": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["stack-section"];
    components.forEach(tagName => { switch (tagName) {
        case "stack-section":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StackSection$1);
            }
            break;
    } });
}
defineCustomElement$1();

const StackSection = StackSection$1;
const defineCustomElement = defineCustomElement$1;

export { StackSection, defineCustomElement };

//# sourceMappingURL=stack-section.js.map