import { r as registerInstance, h, H as Host } from './index-9110f8cb.js';

const headerImageCss = ":host{display:block}.header-container{position:relative;width:100%;height:200px;overflow:hidden}.image-container{position:absolute;width:100%;height:100%}.image-container img{width:100%;height:100%;object-fit:cover;filter:blur(2px);transform:scale(1.1);}.text-overlay{position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);text-align:center;color:white;z-index:1;width:90%}";
const HeaderImageStyle0 = headerImageCss;

const HeaderImage = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, { key: 'fdb160580d33e8002ca00ea1eaab61a1a333589d' }, h("div", { key: 'f0de84b8fb8faf07c3f2d01f4588732146902b2a', class: "header-container" }, h("div", { key: 'b72e2a414448a3a852a54d36850e1546f1eb9272', class: "image-container" }, h("img", { key: '7888dbe1524eb30d1a5a75b470cfcc9fc57ae2d8', src: this.image, alt: "Header background" })), h("div", { key: '77fc2fe7345daec5b90891f73cd718a7e62ad671', class: "text-overlay brand" }, h("p", { key: '4b33e48c5905349aafe0cea2ad35b6fb494e413f', class: "md-typescale-title-large" }, this.subheader), h("h1", { key: '9c9ec9ee8d2d5d74d620b916ff22ff1622efe622', class: "md-typescale-headline-large" }, this.headline)))));
    }
};
HeaderImage.style = HeaderImageStyle0;

export { HeaderImage as header_image };

//# sourceMappingURL=header-image.entry.js.map