import { r as registerInstance, h, H as Host } from './index-9110f8cb.js';

const stackLayoutCss = "stack-layout{display:block;position:relative}.stack-container{position:relative;display:flex;flex-direction:column}.stack-container>*{position:relative;margin-top:calc(var(--overlap) * -1)}.stack-container>*:first-child{margin-top:0}.stack-container>stack-section:not(:last-child)>*:first-child{padding-bottom:var(--md-sys-spacing-large)}";
const StackLayoutStyle0 = stackLayoutCss;

const StackLayout = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.overlap = 32; // Default overlap in pixels
    }
    render() {
        return (h(Host, { key: 'b9523ce72ff72bb36aa1ac3bb3b95b11373368b2' }, h("div", { key: '34ebfd9ab0f06def112162728fbc4b934a065dc6', class: `stack-container`, style: { '--overlap': `${this.overlap}px` } }, h("slot", { key: 'e72cca8284dc83217a59be20c78193568d294a35' }))));
    }
};
StackLayout.style = StackLayoutStyle0;

export { StackLayout as stack_layout };

//# sourceMappingURL=stack-layout.entry.js.map